Applies a license to the given a user

Applies a license code for the given user id.

post

After applying the license, the user will be able to use the features of the license. And send the email to the user to notify the license is applied.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

The request model for applying a license to a user.

licenseCodestring · min: 1Required

The license code to be applied to the user.

userIdstring · min: 1Required

The user id to whom the license will be applied.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

databooleanRead-onlyOptional

This is the data to be returned to the client.

post
/api/v1/licenses/apply-to-user

Last updated